INTERFACE
SUBROUTINE OBSHORAD(&
 & KIBUFP1,KASLB1,KPROMB,KPROMBMP,&
 & PPARITY,POBB1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGSAG ,NDGENG ,NFLEVG
USE YOMSC2 , ONLY : NFLDOBB1
USE YOMDB
USE GOMS_MIX , ONLY : NGOMGFL
USE OBSHOR_CACHE_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KIBUFP1(NDGSAG:NDGENG)
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMBMP
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARITY(NFLDOBB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POBB1(KASLB1,NFLDOBB1)
END SUBROUTINE OBSHORAD
END INTERFACE
